Subject: bug#6524: du now uses less than half as much memory, sometimes

From: Jim Meyering <[email-masked]>
Date: Mon, 28 Jun 2010 13:56:50 +0200

Pádraig Brady wrote:
> On 28/06/10 09:05, Jim Meyering wrote:
>> Thank you for the quick testing!
>> So far I've been unable to spot the cause or to reproduce that, but since
>> the way the new code works depends on the range of inode number values,
>> that's not too surprising.  You have some very large inode numbers in
>> that hierarchy, and that's exercising code that is not run in my tests.
>>
>> It always succeeds like this:
>>
>>   586M    /home/meyering/gcc
>
> What I did exactly was:
> ./bootstrap --gnulib-srcdir=/home/padraig/git/gnulib; ./configure --enable-gcc-warnings; make
>
> However now having worked on another branch and switched back
> and repeated the above, I can't reproduce :(

Hmm... mixed feelings.  Glad there appears to be no problem,
yet concerned that a problem may be lurking...

> I'd chalk this down to build issues though I can't see what's changed.
>
> $ ./src/du -hs ~/f8/gcc
> 2.9G    /home/padraig/f8/gcc
>
> $ find ~/f8/gcc -printf "%D:%i\n" | sort -t: -k2,2n | tail -n10
> 2056:9765506
> 2056:9765506
> 2056:9765507
> 2056:9765507
> 2056:9765511
> 2056:9765511
> 2056:9765512
> 2056:9765512
> 2056:9806497
> 2056:9806497
>
> $ df -T ~/f8/gcc
> Filesystem    Type   1K-blocks      Used Available Use% Mounted on
> /dev/sda8     ext3    38593360  34356772   3439768  91% /old_home
>
> There is no significant difference in speed between
> the old new and your new memory efficient one.

Thanks again for testing.